Subject: Re: [bug#49859] Remove packages that depend on unsupported old OpenSSL releases

From: Leo Famulari <[email-masked]>
Date: Wed, 11 Aug 2021 13:52:29 -0400

On Wed, Aug 11, 2021 at 05:18:38PM +0200, Giovanni Biscuolo wrote:
> Hi,
> 
> Ludovic Courtès <[email-masked]> writes:
> 
> [...]
> 
> > Another option would be to patch ADB so it can use OpenSSL 1.1.
> > Hopefully the changes can be relatively simple and isolated.  Worth
> > trying?
> 
> AFAIU Debian was applying this patch:
> https://sources.debian.org/patches/android-platform-system-core/1:7.0.0+r33-1/adb_libssl_11.diff/
> 
> in the adb package ver 1:7.0.0+r33-1
> 
> OpenWRT was (is?) applying this (more "invasive") patch:
> https://github.com/openwrt/openwrt/pull/971/files
> 
> I'll try the Debian one and send a patch if I succeed.

Awesome, thanks! Let us know how it goes. I'll proceed with hiding
openssl-1.0 and removing the other packages (not adb or fastboot) in the
meantime.